package com.muyu.common.domian;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.domian.resp.StructureResp;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value ="structure",autoResultMap = true) //数据库表相关
public class Structure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 表id */
    @Excel(name = "表id")
    private Long tableId;

    /** 字段名称 */
    @Excel(name = "字段名称")
    private String columnName;

    /** 字段注释 */
    @Excel(name = "字段注释")
    private String columnRemark;

    /** 是否主键 'Y'是主键 'N'不是主键 */
    @Excel(name = "是否主键 'Y'是主键 'N'不是主键")
    private String isPrimary;

    /** 数据类型 */
    @Excel(name = "数据类型")
    private String columnType;

    /** 映射类型 */
    @Excel(name = "映射类型")
    private String javaType;

    /** 字段长度 */
    @Excel(name = "字段长度")
    private String columnLength;

    /** 小数位数 */
    @Excel(name = "小数位数")
    private String columnDecimals;

    /** 是否为空 'Y'是 'N'不是 */
    @Excel(name = "是否为空 'Y'是 'N'不是")
    private String isNull;

    /** 默认值 */
    @Excel(name = "默认值")
    private String defaultValue;

    /** 是否字典 'Y'是 'N'不是 */
    @Excel(name = "是否字典 'Y'是 'N'不是")
    private String isDictionary;

    /** 映射字典 */
    @Excel(name = "映射字典")
    private String dictionaryTable;

    public static StructureResp toBuild(Structure structure,String tableAsName){
        return StructureResp.builder()
                .id(structure.id)
                .tableId(structure.tableId)
                .columnRemark(structure.columnRemark)
                .columnName(structure.columnName)
                .columnType(structure.columnType)
                .isNull(structure.isNull)
                .tableAsName(tableAsName+"."+structure.columnName)
                .build();
    }


}
