package com.muyu.common.domian;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.domian.req.InputAddReq;
import com.muyu.common.domian.req.TaskInputUpdReq;
import com.muyu.common.domian.resp.TaskInputResp;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.function.Supplier;

@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "etl_task_input" ,autoResultMap = true)
public class TaskInput extends BaseEntity {

    /**
     * id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    /**
     * 节点id
     */
    private Long nodeId;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 任务id(taskInfo)
     */
    private Integer taskId;

    /**
     * 数据库id
     */
    private Long databaseId;

    /**
     * 表名称
     */
    private String tableName;

    /**
     * 表别名
     */
    private String tableAsName;

    /**
     * 表字段
     */
    private String tableFieId;

    /**
     * 表字段别名
     */
    private String tableAsFieId;

    /**
     * 字段规则
     */
    private String fieIdAsEngineId;

    public static TaskInputResp build(TaskInput node) {
        return TaskInputResp.builder()
                .id(node.id)
                .nodeId(node.nodeId)
                .nodeName(node.nodeName)
                .taskId(node.taskId)
                .databaseId(node.databaseId)
                .tableName(node.tableName)
                .tableAsName(node.tableAsName)
                .tableFieId(node.tableFieId)
                .tableAsFieId(node.getTableAsFieId())
                .fieIdAsEngineId(node.fieIdAsEngineId)
                .build();
    }

    public static TaskInput updBuild(TaskInputUpdReq req, Supplier<Integer> id) {
        return TaskInput.builder()
                .id(id.get())
                .nodeId(req.getNodeId())
                .nodeName(req.getNodeName())
                .taskId(req.getTaskId())
                .databaseId(req.getDatabaseId())
                .tableName(req.getTableName())
                .tableAsName(req.getTableAsName())
                .tableFieId(req.getTableFieId())
                .tableAsFieId(req.getTableAsFieId())
                .fieIdAsEngineId(req.getFieIdAsEngineId())
                .build();
    }
}
