package com.muyu.common.domian.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotEmpty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "任务添加请求对象" )
public class TaskInfoUpdReq {
    /**
     * 任务名称
     */
    @NotEmpty(message = "任务名称不能为空")
    @Schema(name = "name",description = "任务名称")
    private String name;
    /**
     * 任务权重级别
     */
    @Schema(name = "weight",description = "任务权重级别")
    private String weight;
    /**
     * 备注
     */
    @Schema(name = "remark",description = "备注")
    private String remark;

}
