package com.muyu.remote.feign;


import com.muyu.common.domain.DataValue;
import com.muyu.remote.feign.Factory.DatasourceFeignFactory;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import com.muyu.common.core.domain.Result;

import java.util.List;

/**
 * @author Administrator
 */

@FeignClient(name = "cloud-etl-datasources", fallbackFactory = DatasourceFeignFactory.class)
public interface DatasourceFeign {
    @PostMapping("/dataValue/findTableValueToArray")
    public Result<DataValue[][]> findTableValueToArray(@RequestParam("basicId") Long basicId,
                                                       @RequestParam("sql") String sql,
                                                       @RequestParam("one") Long one,
                                                       @RequestParam("two") Integer two);

    @PostMapping("/dataValue/findTableValue")
    public Result<List<List<DataValue>>> findTableValue(@RequestParam("basicId") Long basicId,
                                                @RequestParam("sql") String sql);

    @PostMapping("/product/addProduct")
    public Result addProduct(@RequestParam("basicId") Long basicId,
                             @RequestParam("tableId") Long tableId,
                             @RequestBody List<List<DataValue>> listList);


    @PostMapping("/product/addProduct")
    public Result addProduct(@RequestParam("basicId") Long basicId,
                             @RequestParam("tableId") Long tableId,
                             @RequestBody DataValue[][] listList);

    @PostMapping("/dataValue/findCount")
    public Result<Long> findCount(@RequestParam("basicId") Long basicId,
                                  @RequestParam("sql") String sql);
}
