package com.muyu.remote.feign.Factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.domain.DataValue;
import com.muyu.remote.feign.DatasourceFeign;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

@Log4j2
@Component
public class DatasourceFeignFactory implements FallbackFactory<DatasourceFeign> {
    @Override
    public DatasourceFeign create(Throwable e) {
        return new DatasourceFeign() {


            @Override
            public Result<DataValue[][]> findTableValueToArray(Long basicId, String sql, Long one, Integer two) {
                log.info(e);
                return Result.error("网络开小差......");
            }

            @Override
            public Result<List<List<DataValue>>> findTableValue(Long basicId, String sql) {
                log.info(e);
                return Result.error("网络开小差......");
            }

            @Override
            public Result addProduct(Long basicId, Long tableId, List<List<DataValue>> listList) {
                log.info(e);
                return Result.error("网络开小差......");
            }

            @Override
            public Result addProduct(Long basicId, Long tableId, DataValue[][] listList) {
                return null;
            }

            @Override
            public Result<Long> findCount(Long basicId, String sql) {
                log.info(e);
                return Result.error("网络开小差......");
            }
        };
    }
}
