package com.muyu.task.server.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.common.domian.NodeRule;
import com.muyu.task.server.service.NodeRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("nodeRule")
public class NodeRuleController {

    @Autowired
    private NodeRuleService nodeRuleService;


    @PostMapping("delete/{id}/{nodeId}")
    public Result delete(@PathVariable("id") Long id, @PathVariable("nodeId") Long nodeId) {
        QueryWrapper<NodeRule> wrapper = new QueryWrapper<>();
        wrapper.eq("node_id", nodeId);
        wrapper.eq("task_id", id);
        nodeRuleService.remove(wrapper);
        return Result.success();
    }

    @PostMapping("addNodeRule")
    public Result addNodeRule(@RequestBody NodeRule nodeRule) {
        delete(nodeRule.getTaskId(), nodeRule.getNodeId());
        boolean save = nodeRuleService.save(nodeRule);
        return Result.success(save);
    }


}
