package com.muyu.task.server.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.common.domian.NodeTable;
import com.muyu.task.server.service.NodeTableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("nodeTable")
public class NodeTableController {


    @Autowired
    private NodeTableService nodeTableService;

    @DeleteMapping("{id}")
    private Result delete(@PathVariable("id") Long id) {
        QueryWrapper<NodeTable> wrapper = new QueryWrapper<>();
        wrapper.eq("node_id", id);
        boolean save = nodeTableService.remove(wrapper);
        return Result.success(save);
    }
    @PostMapping()
    private Result addNodeTable(@RequestBody NodeTable nodeTable) {
        boolean save = nodeTableService.save(nodeTable);
        return Result.success(save);
    }
    @GetMapping("/{id}")
    private Result getNodeTable(@PathVariable("id") Long id) {
        QueryWrapper<NodeTable> wrapper = new QueryWrapper<>();
        wrapper.eq("node_id", id);
        NodeTable byId = nodeTableService.getOne(wrapper);
        return Result.success(byId);
    }


}
