package com.muyu.task.server.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.common.core.domain.Result;

import com.muyu.common.domian.Structure;
import com.muyu.common.domian.resp.StructureResp;
import com.muyu.task.server.service.StructureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("structure")
public class StructureController {

    @Autowired
    private StructureService structureService;

    @PostMapping("/findByTableId")
    public Result findByTableId(@RequestParam("tableId") Long tableId,@RequestParam("tableAsName") String tableAsName) {
        LambdaQueryWrapper<Structure> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(Structure::getTableId, tableId);
        List<Structure> list = structureService.list(wrapper);
        return Result.success(list.stream().map(structure -> Structure.toBuild(structure, tableAsName)).toList());
    }


}
