package com.muyu.task.server.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.common.domian.TaskOutput;
import com.muyu.task.server.service.TaskOutputService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("output")
public class TaskOutputController {

    @Autowired
    private TaskOutputService taskOutputService;


    @PostMapping("/{id}/{tableId}/{basicId}")
    public Result save(@PathVariable("id") Long id,@PathVariable("tableId") Long tableId ,@PathVariable("basicId") Long basicId,@RequestBody List<TaskOutput> taskOutputs) {
        QueryWrapper<TaskOutput> wrapper = new QueryWrapper<>();
        wrapper.eq("task_id", id);
        taskOutputService.remove(wrapper);
        String newFieName ="";
        String lastFieName="";
        for (TaskOutput taskOutput : taskOutputs) {
            newFieName += ","+taskOutput.getNewFieName();
            lastFieName+=","+ taskOutput.getLastFieName();
        }
        newFieName = newFieName.substring(1);
        lastFieName = lastFieName.substring(1);
        TaskOutput build = TaskOutput.builder().taskId(id).basicId(basicId).tableId(tableId).newFieName(newFieName).lastFieName(lastFieName).build();
        boolean save = taskOutputService.save(build);
        return Result.success(save);
    }


}
