package com.muyu.task.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.common.domain.DataValue;
import com.muyu.common.domian.NodeJoint;
import com.muyu.common.domian.TaskInput;
import com.muyu.common.domian.req.TaskInputListReq;
import com.muyu.remote.feign.DatasourceFeign;
import com.muyu.task.server.mapper.TaskInputMapper;
import com.muyu.task.server.service.NodeJointService;
import com.muyu.task.server.service.NodeTableService;
import com.muyu.task.server.service.TaskInputService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.HashSet;
import java.util.List;

@Service
public class TaskInputServiceImpl extends ServiceImpl<TaskInputMapper, TaskInput> implements TaskInputService {
    @Autowired
    private TaskInputMapper taskInputMapper;

    @Autowired
    private NodeTableService tableService;

    @Autowired
    private NodeJointService nodeJointService;

    @Autowired
    private DatasourceFeign datasourceFeign;


    @Override
    public Page<TaskInput> findList(TaskInputListReq req) {
        LambdaQueryWrapper<TaskInput> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(StringUtils.isNotEmpty(req.getNodeName()), TaskInput::getNodeName, req.getNodeName());
        Page<TaskInput> page = new Page<>(req.getPageNum(), req.getPageSize());
        page.setTotal(this.count(wrapper));
        return this.page(page, wrapper);
    }

    @Override
    public TaskInput selectByNodeId(String oneNodeId) {
        return taskInputMapper.selectByNodeId(oneNodeId);
    }

    @Override
    public TaskInput selectByTaskId(Long taskId) {
        return taskInputMapper.selectByTaskId(taskId);
    }

    @Override
    public Long selectByBasicId(Long taskId) {
        return taskInputMapper.selectByBasicId(taskId);
    }
}
